> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/restore.md).

# Restore

## Restore a backup to an environment

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/restore/{environmentId}":{"post":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}","operationId":"restoreBackupFromId","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreSpecificationModel"}}},"description":"The model to describe what to restore"},"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Restore a backup to an environment","tags":["restore"]}}},"components":{"schemas":{"RestoreSpecificationModel":{"type":"object","properties":{"backupId":{"type":"string","format":"uuid"},"backupVersion":{"type":"string"},"database":{"type":"string"},"dgcRestoreOptions":{"type":"array","items":{"type":"string","enum":["CUSTOMIZATIONS","NO_INDEXING","CONFIGURATION"]},"uniqueItems":true},"key":{"type":"string"},"managedServiceTypes":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]},"uniqueItems":true},"repoRestoreOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"resetCustomizations":{"type":"boolean"},"skipRestorePostprocessing":{"type":"boolean"}}}}}}
```

## Cancel a restore operation in progress

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /applyConsoleExport/{environmentId}/cancel

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/restore/{environmentId}/cancel":{"put":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /applyConsoleExport/{environmentId}/cancel","operationId":"cancelRestore","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Cancel a restore operation in progress","tags":["restore"]}}}}
```

## Restore an environment to factory defaults

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}/factoryDefaults

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/restore/{environmentId}/factoryDefaults":{"post":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}/factoryDefaults","operationId":"restoreToFactoryDefaults_1","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Restore an environment to factory defaults","tags":["restore"]}}}}
```

## Retrieve the state of all steps of the restore operation on a specified environment

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /applyConsoleExport/{environmentId}/state

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/restore/{environmentId}/state":{"get":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /applyConsoleExport/{environmentId}/state","operationId":"stateMap_1","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{}},"description":"default response"}},"summary":"Retrieve the state of all steps of the restore operation on a specified environment","tags":["restore"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/console/restore.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
